appName: JobMan
logLevel: INFO

JobManagement:
    RetriesBeforeFail: 7
    SQLDebug: false
    DateType: TIMESTAMP WITH TIME ZONE
    JobUpdateCommitIncrement: 10
    UseSentry: False
    UseDatabase: LocalDatabase

LocalDatabase:
    User: XXXXXX
    Password: XXXXXX
    Host: localhost
    Port: 5432
    Database: sdxjobs11

ProductionDatabase:
    User: admin
    Password: XXXXXX
    Host: XXXXXX
    Port: 19446
    Database: compose

TAHMODATA:
    WEATHER_DATA: https://datahub.tahmo.org/services/measurements/v2/stations    
    WEATHER_DATA_RAW: measurements/raw    
    STATION_INFO: https://datahub.tahmo.org/services/assets/v2/stations
    DATA_COMPLETE: https://datahub.tahmo.org/custom/sensordx/latestmeasurements
    STATION_STATUS: https://datahub.tahmo.org/custom/stations/status
    LAST_MEASUREMENT_OFFSET: 55
    USE_ONLY_ONE_MEASUREMENT: false
    ALWAYS_RETURN_TRUE: true
    
TAHMOREPORTQUALITY:
    DATA_CONSISTENCY: https://datahub.tahmo.org/custom/sensordx/reportquality
    DATA_INSUFFICIENT_FOR_CONSISTENCY_CHECK_VALUE: 0
    DATA_CONSISTENT_VALUE: 1
    DATA_INCONSISTENT_VALUE: 2

TAHMOQC:
    BASE_URL: https://tahmorqctest.eu-de.mybluemix.net  # test https://tahmorqctest.eu-de.mybluemix.net
    SCORE_SUFFIX: /api/score
    ALL_MODELS_SUFFIX: /api/models
    SINGLE_MODEL_SUFFIX: /api/station   # /model is for getting by the model _id, not the station name
    SECRET_USER_PW: "XXXXXX"
    SECRET_USER_NAME: "XXXXXX"
    SAVE_SCORE_RESULTS: true

HealthCheck:
    MaxTries: 3   # how many times we will try each method
    MaxTime: 60  # max time we will wait for a response (seconds)
    DBMaxTime: 180  # max time we will wait for the database to connect

BackgroundJobScheduling:
    StartTimeHour: 4    # start time is UTC; generally, more data is available in 4+ hours
    StartTimeMinute: 30

Logging:
    SentryDSN: https://XXXXXX
    Release: rainjm@1.1.0

Messaging:
    MailAPIKey: XXXXXX

Misc:
    SkipReportQualityUpdate: false
    StationLowDataThreshold: 0.90
    StationLowBatteryThreshold: 0.25